# Class OldSaveService

java.lang.Object
org.apache.jmeter.save.OldSaveService

public final class OldSaveService extends Object
This class restores the original Avalon XML format (not used by default). This may be removed in a future release.

## Method Summary

Modifier and Type
Method
Description
`static HashTree`
`loadSubTree(InputStream in)`
`static void`
`processSamples(String filename, Visualizer visualizer, ResultCollector rc)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### loadSubTree

public static HashTree loadSubTree(InputStream in) throws IOException

Throws:
  `IOException`

### processSamples

public static void processSamples(String filename, Visualizer visualizer, ResultCollector rc) throws SAXException, IOException, ConfigurationException

Throws:
  `SAXException`
  `IOException`
  `ConfigurationException`